#!/usr/local/bin/perl -w
use strict; use Tk;

my %record = ();
my @attr = ("Name", "Vorname", "Geschlecht", "Titel", 
            "Strasse", "Hausnummer", "PLZ", "Ort",
            "login", "email", "Tel", "Fax",
            "GebDatum", "Studienabschluss", "Hobbies");
foreach (@attr) { $record{$_} = ""; }

my $main = MainWindow->new();
$main->title("Datenerfassung");

my $f = $main->Frame->pack(-side => "bottom");
$f->Button(-text => "Exit", -command => sub { exit; }
          )->pack(-side => "right");
$f->Button(-text => "Process", 
           -command => sub { # do something with the data like
                             foreach (@attr) {
                                   print "$_: $record{$_}\n";
                             }
                       }
          )->pack(-side => "right");
my $txt = $main->Scrolled("Text", -height => 20,
                          -width => 40, -wrap => "none"
                         )->pack(-side => "top", -expand => 1,
                              -fill => 'both');
$f->Button(-text => "Names", 
           -command => sub { my @names = $txt->windowNames();
                             foreach (@names) { print "$_ "; }
                             print "\n";
                       }
          )->pack(-side => "right");

foreach (@attr) {
   my $w = $txt->Label(-text => "$_: ", -relief => "groove",
                    -anchor => "w", -width => 15);
   $txt->window('create', 'end', -window => $w);
   $w = $txt->Entry(-width => 30, -textvariable => \$record{$_});
   $txt->windowCreate('end', -window => $w);
   $txt->insert('end', "\n");
}

$txt->configure(-state => 'disabled'); #disallows user typing

MainLoop;
