#!/usr/local/bin/perl -w
use strict; use Tk;

my $counter = 0;
my $main = new MainWindow;
$main->Button(-text => "Exit", -command => sub { exit; }
          )->pack(-side => "bottom", -expand => 1, -fill => "x");
my $fr1 = $main->Frame()->pack(-side => "bottom", -fill => "x");
my $txt = $main->Text(-wrap => "word", -width => 24, 
                      -height => 3, -font => "lucidasans-bold-14"
                     )->pack(-side => "top", -expand => 1, -fill => 'both');
$txt->insert('end', "Das ist die erste Zeile, (Gravity left)\n");
$txt->insert('end', "Und dies ist die zweite Zeile, (Gravity right)\n");
$fr1->Button(-text => "Set Marks", 
             -command => sub { $txt->markSet("L_MARK", "1.2");
                               $txt->markSet("R_MARK", "2.2");
                               $txt ->markGravity("L_MARK", "left");
                               $txt ->markGravity("R_MARK", "right")
                             }
            )->pack(-side => "right", -expand => 1, -fill => "x");
$fr1->Button(-text => "Insert at Marks", 
             -command => \&print_insert
            )->pack(-side => "right", -expand => 1, -fill => "x");
$fr1->Button(-text => "List Marks", 
             -command => \&print_marks
            )->pack(-side => "right", -expand => 1, -fill => "x");
MainLoop;

sub print_insert { 
   $counter++;
   my $ind1 =  $txt->index("L_MARK");
   my $ind2 =  $txt->index("R_MARK");
   print "Positions before insert:\n";
   my $ch1 = $txt->get($ind1); my $ch2 = $txt->get($ind2);
   print "ind1=$ind1 : ch1=$ch1 | ind2=$ind2 : ch2=$ch2\n";
   $txt->insert($ind1, "$counter"); $txt->insert($ind2, "$counter");
   $ind1 =  $txt->index("L_MARK");
   $ind2 =  $txt->index("R_MARK");
   print "Positions after insert:\n";
   $ch1 = $txt->get($ind1); $ch2 = $txt->get($ind2);
   print "ind1=$ind1 : ch1=$ch1 | ind2=$ind2 : ch2=$ch2\n";
}
sub print_marks {
 my @m = $txt->markNames();
 foreach (@m) { print "MARK: >>$_<< at: ", $txt->index($_), "\n"; }
 print "======================\n";
}
