#!/usr/local/bin/perl -w
use strict; use Tk;

my $main = new MainWindow;
my @txt_widgets = ("txt1", "txt2");
$main->Button(-text => "Exit", -command => sub { exit; }
          )->pack(-side => "bottom");
my $fr = $main->Frame()->pack(-side => "top");

foreach my $txt (@txt_widgets) {
   $txt = $fr->Scrolled("Text", -wrap => "word", 
                          -width => 15, -height => 10
                         )->pack(-side => "left", -expand => 1,
                             -fill => 'both');
   $txt->tagConfigure('goto_end', -underline => 1, -foreground => 'blue');
   $txt->tagBind('goto_end', "<Button-1>", \&goto_end );
   $txt->tagBind('goto_end', "<Enter>", 
              sub { $txt->configure(-cursor => "hand2"); });
   $txt->tagBind('goto_end', "<Leave>", 
              sub { $txt->configure(-cursor => "xterm"); });
   $txt->insert('end', "END\n", "goto_end");

   for (my $i = 1; $i <= 100; $i++) {
      $txt->insert('end', "$i\n");
   }
}
MainLoop;

sub goto_end {
  my $txt = shift;
  $txt->see('end');
}

