#!/usr/local/bin/perl -w
use strict; use IO::File; use Tk;

my $main = new MainWindow;
my $fr = $main->Frame()->pack(-side => "bottom");
my $txt1 = $main->Scrolled("Text", -wrap => "word", 
                          -width => 45, -height => 10
                         )->pack(-side => "top", -expand => 1,
                             -fill => 'both');
my $txt2 = $main->Scrolled("Text", -wrap => "word", 
                          -width => 45, -height => 10
                         )->pack(-side => "top", -expand => 1,
                             -fill => 'both');

$fr->Button(-text => "Exit", -command => sub { exit; }
          )->pack(-side => "bottom", -fill => "x");

$txt1->tagConfigure('goto_end', -underline => 1, -foreground => 'blue');
$txt2->tagConfigure('goto_end', -underline => 1, -foreground => 'blue');

$txt1->tagBind('goto_end', "<Button-1>", \&goto_end );
$txt2->tagBind('goto_end', "<Button-1>", \&goto_end );

$txt1->tagBind('goto_end', "<Enter>", 
              sub { $txt1->configure(-cursor => "hand2"); });
$txt2->tagBind('goto_end', "<Enter>", 
              sub { $txt2->configure(-cursor => "hand2"); });
$txt1->tagBind('goto_end', "<Leave>", 
              sub { $txt1->configure(-cursor => "xterm"); });
$txt2->tagBind('goto_end', "<Leave>", 
              sub { $txt2->configure(-cursor => "xterm"); });

$txt1->insert('end', "END\n", "goto_end");
$txt2->insert('end', "END\n", "goto_end");

for (my $i = 1; $i <= 100; $i++) {
  $txt1->insert('end', "$i\n");
  $txt2->insert('end', "$i\n");
}

MainLoop;

sub goto_end {
  my $txt = shift;
  $txt->see('end');
}

