#!/usr/local/bin/perl -w
use strict; use IO::File; use Tk;

my $main = new MainWindow;
my $fr = $main->Frame()->pack(-side => "bottom", -fill => "x");
my $txt = $main->Scrolled("Text", -wrap => "word", -width => 42, 
                          -height => 18, -font => "lucidasans-bold-14"
                     )->pack(-side => "top");
$fr->Button(-text => "Exit", -command => sub { exit; }
          )->pack(-side => "right", -expand => 1, -fill => "x");
$fr->Button(-text => "Load", -command =>\&load_file 
           )->pack(-side => "left", -expand => 1, -fill => "x");
$fr->Button(-text => "Char Size", 
            -command => sub { my ($x,$y,$w,$h) = $txt->bbox("1.0"); 
                              print "Groesse von Zeichen an 1.0: ";
                              print "$x,$y,$w,$h\n";
                            }
           )->pack(-side => "left", -expand => 1, -fill => "x");
$fr->Button(-text => "Line Size", 
            -command => sub { my $ind ="8";
                              my $t = $txt->get("$ind.0", "$ind.end");
                              print "$t\n";
                              my ($x,$y,$w,$h,$base) = $txt->dlineinfo("$ind.0"); 
                              print "Zeileninfo von $ind.0: ";
                              print "$x,$y,$w,$h,$base\n";
                            }
           )->pack(-side => "left", -expand => 1, -fill => "x");

MainLoop;

sub load_file {
  $txt->delete("1.0", "end");
  my $file = new IO::File;
  if (! ($file->open("faust"))) {
     $txt->insert("end", "ERROR: Could not open faust\n");
     return;
  }
  while (<$file>) { $txt->insert("end", $_); }
  $file->close();
}
