#!/usr/local/bin/perl -w
use strict; use IO::File; use Tk;

my $pattern = ""; my $lastpattern = ""; 
my $filename; my $msg = "";
my $matchnr = 0; 
my ($line, $col) = (1,0); my $start = "$line.$col";

my $main = new MainWindow;
$main->Button(-text => "Exit", -command => sub { exit; }
          )->pack(-side => "bottom", -expand => 1, -fill => "x");
my $fr1 = $main->Frame()->pack(-side => "top", -fill => "x");
my $fr2 = $main->Frame()->pack(-side => "bottom", -fill => "x");
my $fr3 = $main->Frame()->pack(-side => "bottom", -fill => "x");
my $txt = $main->Scrolled("Text", -wrap => "word", -width => 43, 
                          -height => 18, -font => "lucidasans-bold-14"
                         )->pack(-side => "top", -expand => 1,
                             -fill => 'both');
$main->Label(-textvariable => \$msg, -relief => "groove", 
             -borderwidth => 4, -foreground => 'red' 
            )->pack(-side => "bottom", -fill => "x");
$fr1->Button(-text => "Load File", -command => \&load_file 
           )->pack(-side => "left", -expand => 1, -fill => "x");
$fr1->Entry(-textvariable => \$filename
           )->pack(-side => "left", -expand => 1, -fill => 'x');
$fr2->Label(-text => "Pattern:")->pack(-side => "left");
$fr2->Entry(-textvariable => \$pattern
           )->pack(-side => "left", -expand => 1, -fill => 'x');
$fr2->Button(-text => "Search exact", 
             -command => [ \&search, '-exact', \$pattern]
            )->pack(-side => "right");
$fr2->Button(-text => "Search regexp", 
             -command => [ \&search, '-regexp', \$pattern ]
            )->pack(-side => "right");
$txt->tagConfigure("found", -foreground => "red");
MainLoop;
