sub load_file {
  $txt->delete("1.0", "end");
  my $file = new IO::File;
  if (( ! defined $filename ) or ( $filename eq "" )) {
     $msg = "Give filename" ; return 
  };
  if (! ($file->open("$filename"))) {
     $msg = "ERROR: Could not open file $filename";
     return;
  };
  $msg = "";
  while (<$file>) { $txt->insert("end", $_); }
  $file->close();
}

sub search {
   my $switch = $_[0]; my $pat_ref = $_[1]; my $length = 0;
   my (@list) = $txt->tagRanges("found");
   if ($#list > 0) { $txt->tagRemove("found", $list[0], $list[1]) ;}

   if ($lastpattern ne $pattern) {
        ($line, $col) = (1,0); $start = "$line.$col";
        $lastpattern = "$pattern";
        $msg = ""; $matchnr = 0;
   }
   my $index = $txt->search("$switch", -count => \$length, "--", 
                            "$$pat_ref", "$start", "end");
   if ($length > 0) {
      $matchnr ++;
      $txt->tagAdd("found", "$index", "$index + $length chars");
      ($line = $index) =~ s/\..*//;
      ($col  = $index) =~ s/^[^.]*\.//;
      $col++; $start = "$line.$col"; 
      $msg = "Match Nr. $matchnr";
   } else {
      if ($matchnr == 0) { $msg = "$$pat_ref not found" 
      } else { $msg = "End of text";
      }
      $matchnr = 0; $line = 1, $col = 0; $start ="$line.$col";
   }
}
