#!/usr/local/bin/perl -w
use strict; use IO::File; use Tk;

my $main = new MainWindow;
my $fr = $main->Frame()->pack(-side => "right");
my $txt = $main->Scrolled("Text", -wrap => "word", 
                          -width => 15, -height => 10
                         )->pack(-side => "left", -expand => 1,
                             -fill => 'both');
$fr->Button(-text => "Exit", -command => sub { exit; }
          )->pack(-side => "bottom", -fill => "x");
$fr->Button(-text => "Show Bindings", 
            -command => sub { my @bindings = $txt->tagBind('goto_end'); 
                              foreach (@bindings) { print "$_ "};
                              print "\n";
                            }
          )->pack(-side => "top", -fill => "x");
$txt->tagConfigure('goto_end', -underline => 1, -foreground => 'blue');
$txt->tagBind('goto_end', "<Button-1>", sub { $txt->see('end'); });
$txt->tagBind('goto_end', "<Enter>", 
              sub { $txt->configure(-cursor => "hand2"); });
$txt->tagBind('goto_end', "<Leave>", 
              sub { $txt->configure(-cursor => "xterm"); });
$txt->insert('end', "END\n", "goto_end");
for (my $i = 1; $i <= 100; $i++) {
  $txt->insert('end', "$i\n");
}
MainLoop;
